Bug 251867 - [NEW PORT] [PATCH] devel/pecl-runkit7
Summary: [NEW PORT] [PATCH] devel/pecl-runkit7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-15 13:20 UTC by Vikash Badal
Modified: 2020-12-31 16:56 UTC (History)
3 users (show)

See Also:


Attachments
New pecl-runkit7 port shar archive (1.62 KB, text/plain)
2020-12-15 13:20 UTC, Vikash Badal
no flags Details
poudriere build log (31.75 KB, text/plain)
2020-12-15 13:21 UTC, Vikash Badal
no flags Details
modified pkg-decr and Makefile (1.65 KB, text/plain)
2020-12-28 07:07 UTC, Vikash Badal
no flags Details
add pecl-runkit7 to devel/Makefile (338 bytes, patch)
2020-12-28 10:36 UTC, Vikash Badal
no flags Details | Diff
new port devel/pecl-runkit7 (1.56 KB, text/plain)
2020-12-28 10:37 UTC, Vikash Badal
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vikash Badal 2020-12-15 13:20:14 UTC
Created attachment 220576 [details]
New pecl-runkit7 port shar archive

new port pecl-runkit7 (previous port devel/pecl-runkit)
https://github.com/runkit7/runkit7

Supports PHP7.2, 7.2, 7.3, and 7.4

Replace, rename, and remove user defined functions, methods, and constants.
Define customized superglobal variables for general purpose use.


built against php 7.2

testcode:

<?php
function testme() {
  echo "Original Testme Implementation\n";
}
testme();
runkit7_function_redefine('testme','','echo "New Testme Implementation\n";');
testme();
?>

works
Comment 1 Vikash Badal 2020-12-15 13:21:01 UTC
Created attachment 220577 [details]
poudriere build log
Comment 2 Guangyuan Yang freebsd_committer 2020-12-28 06:50:39 UTC
Thanks for submitting the patch! There are a few things to change before we can accept it:

- In devel/pecl-runkit7/Makefile, please remove the "# Created by:" line that is copied from elsewhere. The second (first) line should just read "# $FreeBSD$", since it will later be expanded by Subversion.

- Please use a more formal package description for both Makefile (short) and pkg-descr. Something like https://www.php.net/manual/en/intro.runkit7.php, but definitely not "For all those things you.... probably shouldn't have been doing anyway.... but surely do!" because it reveals zero useful info about this port/pkg.
Comment 3 Vikash Badal 2020-12-28 07:07:51 UTC
Created attachment 221038 [details]
modified pkg-decr and Makefile

Modified Makefile and pkg-description as requested, please verify that it is acceptable
Comment 4 Guangyuan Yang freebsd_committer 2020-12-28 08:07:09 UTC
(In reply to Vikash Badal from comment #3)

Thanks for the change. IMO the pkg-descr is perfectly acceptable, but the COMMENT in the Makefile could be made shorter and more to the point. Please see other ports Makefile as examples.

Additionally, please include the change to devel/Makefile in your patch (needs to add in the new port).
Comment 5 Vikash Badal 2020-12-28 10:36:18 UTC
Created attachment 221044 [details]
add pecl-runkit7 to devel/Makefile

add pecl-runkit7 to devel/Makefile
Comment 6 Vikash Badal 2020-12-28 10:37:46 UTC
Created attachment 221045 [details]
new port devel/pecl-runkit7

attempt to shorten Comment in Makefile
Comment 7 commit-hook freebsd_committer 2020-12-31 16:55:25 UTC
A commit references this bug:

Author: ygy
Date: Thu Dec 31 16:54:30 UTC 2020
New revision: 559753
URL: https://svnweb.freebsd.org/changeset/ports/559753

Log:
  new port: devel/pecl-runkit7: Extension to replace, rename, and remove user functions and classes

  PR:		251867
  Submitted by:	Vikash Badal <vikashb@where-ever.za.net>
  Approved by:	lwhsu

Changes:
  head/devel/Makefile
  head/devel/pecl-runkit7/
  head/devel/pecl-runkit7/Makefile
  head/devel/pecl-runkit7/distinfo
  head/devel/pecl-runkit7/pkg-descr